#ifndef TEST_H
#define TEST_H

class Test
{
public:
    Test(int n) :
        _n(n)
    {
        std::cout << "Test #" << _n << " created" << std::endl;
    }

    ~Test()
    {
        std::cout << "Test #" << _n << " deleted" << std::endl;
    }

    void method()
    {
        std::cout << "Test #" << _n << " method()" << std::endl;
    }

private:
    int _n;
};

void intrusive_ptr_add_ref(Test* t)
{
    std::cout << "Add ref" << std::endl;
}

void intrusive_ptr_release(Test* t)
{
    std::cout << "Release" << std::endl;
}

#endif // TEST_H
