#include <iostream>
#include <boost/shared_ptr.hpp>
#include "test.h"

int main(int argc, char* argv[])
{
    boost::shared_ptr<Test> t1(new Test(1));
    {
        boost::shared_ptr<Test> t2 = t1;

        std::cout << "t1.use_count() = " << t1.use_count() << std::endl;
        std::cout << "t2.use_count() = " << t2.use_count() << std::endl;
    }
    std::cout << "t1.use_count() = " << t1.use_count() << std::endl;

    return 0;
}


